#!/bin/sh

if [ $# -eq 1 ] && [ $1 = "clean" ]
then
	DO_CLEAN=1
	DO_BUILD=0
elif [ $# -eq 4 ]
then
	DO_CLEAN=0
	DO_BUILD=1
else
	echo "${NAME} Usage: $0 <TARGET_BIN_DIR> <TARGET_INC_DIR> <TARGET_LIB_DIR> <TEMP_DIR>"
	exit 1
fi

check_result() {
	if [ $1 -ne 0 ]
	then
		echo "${NAME} $2 failed: $1"
		exit 1
	fi
}

if [ $DO_BUILD -eq 1 ]
then
	HOME_DIR=$PWD
	TARGET_BIN_DIR=$HOME_DIR/$1
	TARGET_INC_DIR=$HOME_DIR/$2
	TARGET_LIB_DIR=$HOME_DIR/$3
	TEMP_DIR=$HOME_DIR/$4

	echo "${NAME} Start building ${NAME} in '${WORKING_DIR}'"
	echo "${NAME} TARGET_BIN_DIR=${TARGET_BIN_DIR}"
	echo "${NAME} TARGET_INC_DIR=${TARGET_INC_DIR}"
	echo "${NAME} TARGET_LIB_DIR=${TARGET_LIB_DIR}"
fi

cd $WORKING_DIR
