#!/bin/sh

NAME="[xerces]"
WORKING_DIR="xerces/xerces-c-3.1.2"

source ./build_common.sh

if [ $DO_CLEAN -eq 1 ]
then
	make clean
	check_result $? "cleaning build"
fi

if [ $DO_BUILD -eq 1 ]
then
	# configure
	./configure
	check_result $? "configure"

	# compile
	make -j8
	check_result $? "make"
	
	# add to ceguideps
	mkdir -p "${TEMP_DIR}/ceguideps/lib"
	check_result $? "create lib dir"
	mkdir -p "${TEMP_DIR}/ceguideps/include"
	check_result $? "create include dir"
	
	cp -a "src/.libs/libxerces-c.a" "${TEMP_DIR}/ceguideps/lib"
	check_result $? "copy lib"
	cp -aT "src/xercesc" "${TEMP_DIR}/ceguideps/include"
	check_result $? "copy includes"

	echo "${NAME} Finished building ${NAME}"
fi
